Energia

Stream

## available()

#### Description

available() gets the number of bytes available in the stream. This is only for bytes that have already arrived.

This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.available()

#### Parameters

stream : an instance of a class that inherits from Stream.

#### Returns

int : the number of bytes available to read

#### See also

- Stream()

Reference Home

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes